<?php

namespace DuD\WettbewerbBundle\Controller\Backend;

use Contao\CoreBundle\Framework\ContaoFramework;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Doctrine\DBAL\Connection;

class WettbewerbController
{
    private $framework;
    private $connection;

    public function __construct(ContaoFramework $framework, Connection $connection)
    {
        $this->framework = $framework;
        $this->connection = $connection;
    }

    /**
     * @Route("/contao/wettbewerb", name="wettbewerb_backend")
     */
    public function listAction()
    {
        $stmt = $this->connection->executeQuery("SELECT * FROM tl_wettbewerb");
        $results = $stmt->fetchAllAssociative();

        return new Response($this->renderBackendTable($results));
    }

    private function renderBackendTable(array $results): string
    {
        $html = '<table class="tl_listing">';
        $html .= '<thead><tr><th>User ID</th><th>PID</th><th>Timestamp</th><th>Punkte</th></tr></thead><tbody>';

        foreach ($results as $row) {
            $html .= '<tr>';
            $html .= '<td>' . $row['userid'] . '</td>';
            $html .= '<td>' . $row['pid'] . '</td>';
            $html .= '<td>' . $row['tstamp'] . '</td>';
            $html .= '<td>' . $row['punkte'] . '</td>';
            $html .= '</tr>';
        }

        $html .= '</tbody></table>';

        return $html;
    }
}
